%define major	7
%define libname	%mklibname openshot-audio %{major}
%define devname	%mklibname openshot-audio -d

Name:		libopenshot-audio
Epoch:		1
Version:	0.2.0
Release:	%mkrel 1
Summary:	OpenShot Audio Library
License:	GPLv3+
Group:		System/Libraries
Url:		http://www.openshot.org/
Source0:	https://github.com/OpenShot/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:	cmake
BuildRequires:	doxygen
BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(zlib)

%description
OpenShot Audio Library.

#----------------------------------------------------

%package -n	%{libname}
Summary:	OpenShot Audio Library
Group:		System/Libraries

%description -n	%{libname}
OpenShot Audio Library.
This package contains library files for %{name}.

#----------------------------------------------------

%package -n	%{devname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{epoch}:%{version}-%{release}
Provides:	%{name}-devel = %{epoch}:%{version}-%{release}
Provides:	openshot-audio-devel = %{epoch}:%{version}-%{release}

%description -n	%{devname}
The %{devname} package contains libraries and header files for
developing applications that use %{name}.

#----------------------------------------------------

%package tools
Summary:	Tools and test binaries for %{name}
Group:		System/Libraries

%description tools
This package provides tools and test binaries for %{name}.

#----------------------------------------------------

%prep
%autosetup -p1

%build
%cmake
%cmake_build

%install
%cmake_install

%files

%files -n %{libname}
%license AUTHORS COPYING
%{_libdir}/libopenshot-audio.so.%{major}
%{_libdir}/libopenshot-audio.so.%{version}

%files -n %{devname}
%{_includedir}/%{name}/
%{_libdir}/libopenshot-audio.so

%files tools
%{_bindir}/openshot-audio-test-sound
%{_mandir}/man1/openshot-audio-test-sound.1*


%changelog
* Wed Mar 04 2020 daviddavid <daviddavid> 1:0.2.0-1.mga8
+ Revision: 1553672
- new version: 0.2.0

* Thu Feb 20 2020 umeabot <umeabot> 1:0.1.9-2.mga8
+ Revision: 1547644
- Mageia 8 Mass Rebuild

* Sun Feb 09 2020 daviddavid <daviddavid> 1:0.1.9-1.mga8
+ Revision: 1488195
- new version: 0.1.9
- now libmajor is 7
- use new cmake macros

* Wed Sep 18 2019 tv <tv> 1:0.1.8-1.20190405git7001b68.mga8
+ Revision: 1443236
- Upgrade to latest git revision, to fix FTBFS with GCC9
- libopenshot-audio upgraded to JUCE 5.4.3 internally
- dropping lot of now useless BRs :-)
+ daviddavid <daviddavid>
- new version: 0.1.8 (previous 2.4.4 release was an upstream mistake)

* Thu Mar 21 2019 daviddavid <daviddavid> 2.4.4-1.mga7
+ Revision: 1379456
- new version: 2.4.4

* Sun Sep 23 2018 daviddavid <daviddavid> 0.1.7-1.mga7
+ Revision: 1297237
- new version: 0.1.7

* Sat Jan 06 2018 daviddavid <daviddavid> 0.1.5-1.mga7
+ Revision: 1190838
- new version: 0.1.5
- now libmajor is 6

* Sun Sep 03 2017 daviddavid <daviddavid> 0.1.4-2.mga7
+ Revision: 1150998
- rebuild with new binutils/gcc

* Fri Jun 02 2017 akien <akien> 0.1.4-1.mga6
+ Revision: 1105807
- Version 0.1.4 (major 5)
- Move tools to subpackage, not required by devel package
- Package licensing info

* Mon Oct 10 2016 wally <wally> 0.1.2-2.mga6
+ Revision: 1060040
- add patch to fix underlinking

* Mon Oct 10 2016 daviddavid <daviddavid> 0.1.2-1.mga6
+ Revision: 1059962
- initial package libopenshot-audio

